package io.renren.modules.admin.attenders.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import java.util.Arrays;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.attenders.dao.AttendersDao;
import io.renren.modules.admin.attenders.entity.AttendersEntity;
import io.renren.modules.admin.attenders.service.AttendersService;


@Service("attendersService")
public class AttendersServiceImpl extends ServiceImpl<AttendersDao, AttendersEntity> implements AttendersService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<AttendersEntity> page = this.page(
                new Query<AttendersEntity>().getPage(params),
                new QueryWrapper<AttendersEntity>()
        );

        return new PageUtils(page);
    }

    @Override
    public void delete(Long[] ids) {
        baseMapper.deleteBatchIds(Arrays.asList(ids));
    }

    public List<AttendersEntity> selectByMap(Map<String, Object> uMap) {
        return baseMapper.selectByMap(uMap);
    }
}